'use client';
import { jsx } from 'react/jsx-runtime';
import { factory, useProps, Box } from '@mantine/core';
import { useCarouselContext } from '../Carousel.context.mjs';
import classes from '../Carousel.module.css.mjs';

const defaultProps = {};
const CarouselSlide = factory((props, ref) => {
  const { classNames, className, style, styles, vars, mod, ...others } = useProps(
    "CarouselSlide",
    defaultProps,
    props
  );
  const ctx = useCarouselContext();
  return /* @__PURE__ */ jsx(
    Box,
    {
      ref,
      mod: [{ orientation: ctx.orientation }, mod],
      ...ctx.getStyles("slide", { className, style, classNames, styles }),
      ...others
    }
  );
});
CarouselSlide.classes = classes;
CarouselSlide.displayName = "@mantine/carousel/CarouselSlide";

export { CarouselSlide };
//# sourceMappingURL=CarouselSlide.mjs.map
